apiVersion: apps/v1
kind: Deployment
metadata:
 name: carpool
 labels:
   app: carpool
spec:
  replicas: 1
  selector:
    matchLabels:
      app: carpool
  template:
    metadata:
      labels:
        app: carpool
    spec:
      containers:
      - name: carpool
        image: cnbc-registry:5000/bee42/carpool:0.1.0
        imagePullPolicy: Always
        env:
          - name: FLASK_APP
            value: python_rest